/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"
#include "CRC16.h"

/* Global typedef */

/* Global define */

/* Global Variable */

u8 buff[6]={0x01,0x03,0x61,0x00,0x00,0x02};

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);

	printf("SystemClk:%d\r\n",SystemCoreClock);

	printf("CRCУֵ:%x\r\n",crc16(&buff[0],6));
	printf("CRCУֵ:%x\r\n",crc16_check(&buff[0],6));

	while(1)
    {

	}
}

